#include <signal.h>
#include <stdlib.h>
#include <stdio.h>

int main(int argc, char** argv) {
  int ilosc=0, pid, i;
  
  if (argc!=2) {
    fprintf(stderr, "Bledna ilosc parametrow\n");
    return EXIT_FAILURE;
  }

  sscanf(argv[1], "%d", &ilosc);
  if (ilosc<1) {
    fprintf(stderr, "Bledna ilosc powtorzen\n");
    return EXIT_FAILURE;
  }

  if (!(pid=fork())) {
    execl("./potomek");
  }

  for (i=0; i<ilosc;i++) {
    kill(pid, SIGUSR1);
    usleep(1);
  }

  kill(pid, SIGUSR2);

  return EXIT_SUCCESS;
}
