#include <sys/times.h>
#include <time.h>

struct info {
  int rzeczyw;
  int uzytk;
  int syst;
};

static int start;
static int irozmiar;
static int ipozycja;

struct info* tworzRejestrCzasow(int rozmiar) {
  if (start==0)
    start=time(0);
  irozmiar=rozmiar;
  ipozycja=0;
  return (struct info*)malloc(sizeof(struct info)*rozmiar);
}

void notujCzasy(struct info* rejestr) {
  struct tms czas;
  if (ipozycja>=irozmiar) {
    realloc(rejestr, sizeof(struct info)*(irozmiar+5));
    irozmiar+=5;
  }
  times(&czas);
  rejestr[ipozycja].rzeczyw=time(0)-start;
  rejestr[ipozycja].uzytk=czas.tms_utime+czas.tms_cutime;
  rejestr[ipozycja].syst=czas.tms_stime+czas.tms_cstime;
  ipozycja++;
}

void wypiszCzasy(struct info* rejestr) {
  int i;
  time_t czas=time(0);
  printf("Stan rejestru na: %s", ctime(&czas));
  printf("rzeczywisty   uzytkownika   systemowy\n");
  for (i=0; i<ipozycja; i++)
    printf("  %ds\t\t%gs\t\t%gs\n", rejestr[i].rzeczyw, (float)rejestr[i].uzytk/CLK_TCK, (float)rejestr[i].syst/CLK_TCK);
  printf("\n");
}

void usunRejestrCzasow(struct info* rejestr) {
  free(rejestr);
}
