#include <sys/select.h>

int main() {
  int potoki[5][2];
  int i;
  fd_set deskryptory;
  struct timeval tv;
  char buf[100];
 
  FD_ZERO(&deskryptory);
  memset(&tv, 0, sizeof(struct timeval));

  for(i=0; i<5; i++)
    pipe(potoki[i]);

  for (i=0; i<5; i++)
    if (!(fork())) {
      srand(getpid());
      for(;;) {
	sleep(rand()%5+1);
	sprintf(buf, "Klient nr %d: pid %d", i, getpid());
	printf("Klient: %s\n", buf);
	write(potoki[i][1], buf, strlen(buf)+1);
      }
    }
  
  for(;;) {
    for (i=0; i<5; i++)
      FD_SET(potoki[i][0], &deskryptory);
    select(FD_SETSIZE, &deskryptory, 0, 0, &tv);
    for (i=0; i<5; i++)
      if (FD_ISSET(potoki[i][0], &deskryptory)) {
	read(potoki[i][0], buf, 100);
	printf("Serwer: %s\n", buf);
      }
  }
}
