#include <sys/stat.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <signal.h>

int fifo;
  
void term() {
  printf("\n");
  close(fifo);
  remove("fifo");
  exit(EXIT_SUCCESS);
}

void f() {
  char c;
  
  fifo = open("fifo", O_RDONLY);
  
  while(read(fifo, &c, sizeof(char))) {
    printf("%c", c);
    fflush(stdout);
  }

  close(fifo);
  f();
}

int main() {
  signal(SIGINT, term);
  signal(SIGTERM, term);
  mkfifo("fifo", S_IRWXU);
  f();
}
